<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-layout](./foundation-layout.md) &gt; [FoundationLayout](./foundation-layout.foundationlayout.md) &gt; [addItem](./foundation-layout.foundationlayout.additem.md)

## FoundationLayout.addItem() method

Dynamically add a new item to the layout. The user can move the new plane to whenever they want once it has been added.

**Signature:**

```typescript
addItem(config: RegisteredElementConfig, placement?: Placement): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  config | [RegisteredElementConfig](./foundation-layout.registeredelementconfig.md) | [RegisteredElementConfig](./foundation-layout.registeredelementconfig.md) configuration items for the new pane |
|  placement | [Placement](./foundation-layout.placement.md) | _(Optional)_ where to add the new pane on the layout (defaults to the right hand side) |

**Returns:**

void

## Exceptions

[LayoutRegistrationError](./foundation-layout.layoutregistrationerror.md) if you attempt to add an item before it has been registered

## Remarks

Adding a new item invokes the registration previously made explicitly via [registerItem()](./foundation-layout.foundationlayout.registeritem.md) or implicitly via the html declerative API.

The elements added onto the new pane are copies using `element.cloneNode()` of the original element references used during registration.

